cURL
curl -X PUT \
/invoices/{id}/download-link \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoices/{id}/download-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoices/{id}/download-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}/download-link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"url": "https://coreapi.io/download/1234"
}Invoice
Get invoice download link
Get the download link of the invoice. The link is valid for 24 hours. This is available for invoices, credit notes and cancellations.
Required permissions:invoice:read, customer:invoice:readPUT
/
invoices
/
{id}
/
download-link
cURL
curl -X PUT \
/invoices/{id}/download-link \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoices/{id}/download-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoices/{id}/download-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}/download-link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"url": "https://coreapi.io/download/1234"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Invoice identifier
Abfrageparameter
The amount of seconds the download link should be valid. Default is 24 hours.
Erforderlicher Bereich:
x >= 5Antwort
Invoice resource updated
The download URL
Beispiel:
"https://coreapi.io/download/1234"
War diese Seite hilfreich?